package com.ag.entity.fee;

import com.ag.base.ISerializable;

import java.util.Date;

/**
 * Created by Administrator on 2017/4/25 0025.
 */
public class ContractItem implements ISerializable {
    private String id;
    private String tenancyId;
    private String contractId;
    private String categoryId;
    private String itemId;
    private String createdBy;
    private Date createdOn;
    private String updatedBy;
    private Date updatedOn;
    private String invoiceType;
    private String unit;
    private Integer lifeStatus;
    private Double minAmount;
    private Double maxAmount;
    private Integer isFormat;
    private String notes;
    private Integer accountType;
    private Integer formatUnit;
    private String currency;
    private String glCode;
    private Integer flatRate;
    private Double tonsStere;
    private Integer byday;
    private Integer byton;
    private Integer byagent;
    private Integer derateType;//分段减免类型(0=前免1=后免)
    private Integer derateDay;//分段减免天
    private Integer enabled;//是否参考价
    private Integer amountFormat;
    private Double minTon;
    private String receiveCode;
    private String payCode;
    private String itemCode;
    private String enCode;
    private String sourceItemCode;
    private Double currencyRatio;
    private String receiveCurrency;
    private String payCurrency;
    private String receiveMan;
    private String payMan;
    private Integer delFlag;
    private String formula;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTenancyId() {
        return tenancyId;
    }

    public void setTenancyId(String tenancyId) {
        this.tenancyId = tenancyId;
    }

    public String getContractId() {
        return contractId;
    }

    public void setContractId(String contractId) {
        this.contractId = contractId;
    }

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    @Override
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    @Override
    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    @Override
    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedOn() {
        return updatedOn;
    }

    @Override
    public void setUpdatedOn(Date updatedOn) {
        this.updatedOn = updatedOn;
    }

    public String getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }


    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Integer getLifeStatus() {
        return lifeStatus;
    }

    public void setLifeStatus(Integer lifeStatus) {
        this.lifeStatus = lifeStatus;
    }

    public Double getMinAmount() {
        return minAmount;
    }

    public void setMinAmount(Double minAmount) {
        this.minAmount = minAmount;
    }

    public Double getMaxAmount() {
        return maxAmount;
    }

    public void setMaxAmount(Double maxAmount) {
        this.maxAmount = maxAmount;
    }


    public Integer getIsFormat() {
        return isFormat;
    }

    public void setIsFormat(Integer isFormat) {
        this.isFormat = isFormat;
    }

    public String getNotes() {
        return notes;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }


    public Integer getAccountType() {
        return accountType;
    }

    public void setAccountType(Integer accountType) {
        this.accountType = accountType;
    }

    public Integer getFormatUnit() {
        return formatUnit;
    }

    public void setFormatUnit(Integer formatUnit) {
        this.formatUnit = formatUnit;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getGlCode() {
        return glCode;
    }

    public void setGlCode(String glCode) {
        this.glCode = glCode;
    }

    public Integer getFlatRate() {
        return flatRate;
    }

    public void setFlatRate(Integer flatRate) {
        this.flatRate = flatRate;
    }

    public Double getTonsStere() {
        return tonsStere;
    }

    public void setTonsStere(Double tonsStere) {
        this.tonsStere = tonsStere;
    }

    public Integer getByday() {
        return byday;
    }

    public void setByday(Integer byday) {
        this.byday = byday;
    }

    public Integer getByton() {
        return byton;
    }

    public void setByton(Integer byton) {
        this.byton = byton;
    }

    public Integer getByagent() {
        return byagent;
    }

    public void setByagent(Integer byagent) {
        this.byagent = byagent;
    }

    public Integer getDerateType() {
        return derateType;
    }

    public void setDerateType(Integer derateType) {
        this.derateType = derateType;
    }

    public Integer getDerateDay() {
        return derateDay;
    }

    public void setDerateDay(Integer derateDay) {
        this.derateDay = derateDay;
    }

    public Integer getEnabled() {
        return enabled;
    }

    public void setEnabled(Integer enabled) {
        this.enabled = enabled;
    }

    public Integer getAmountFormat() {
        return amountFormat;
    }

    public void setAmountFormat(Integer amountFormat) {
        this.amountFormat = amountFormat;
    }

    public Double getMinTon() {
        return minTon;
    }

    public void setMinTon(Double minTon) {
        this.minTon = minTon;
    }

    public String getReceiveCode() {
        return receiveCode;
    }

    public void setReceiveCode(String receiveCode) {
        this.receiveCode = receiveCode;
    }

    public String getPayCode() {
        return payCode;
    }

    public void setPayCode(String payCode) {
        this.payCode = payCode;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public String getEnCode() {
        return enCode;
    }

    public void setEnCode(String enCode) {
        this.enCode = enCode;
    }

    public String getSourceItemCode() {
        return sourceItemCode;
    }

    public void setSourceItemCode(String sourceItemCode) {
        this.sourceItemCode = sourceItemCode;
    }

    public Double getCurrencyRatio() {
        return currencyRatio;
    }

    public void setCurrencyRatio(Double currencyRatio) {
        this.currencyRatio = currencyRatio;
    }

    public String getReceiveCurrency() {
        return receiveCurrency;
    }

    public void setReceiveCurrency(String receiveCurrency) {
        this.receiveCurrency = receiveCurrency;
    }

    public String getPayCurrency() {
        return payCurrency;
    }

    public void setPayCurrency(String payCurrency) {
        this.payCurrency = payCurrency;
    }

    public String getReceiveMan() {
        return receiveMan;
    }

    public void setReceiveMan(String receiveMan) {
        this.receiveMan = receiveMan;
    }

    public String getPayMan() {
        return payMan;
    }

    public void setPayMan(String payMan) {
        this.payMan = payMan;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    @Override
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public String getFormula() {
        return formula;
    }

    public void setFormula(String formula) {
        this.formula = formula;
    }
}
